#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main(void)
{
	int i, n;
	time_t t;

	n = 5;

	srand((unsigned)time(&t));

	printf("%d\n", n);
	for (i = 0; i < n; i++)
		printf("%d %d\n", rand()%5, rand()%5);

	return 0;
}
